extends layout.pug

mixin item(item, nb)
  .item-box
    if (item > 117 && item < 1000) || item > 1238
      img(src="/img/items/" + game.game.id + "/" + item + ".svg")
    else
      img(src="/img/items/common/" + item + ".svg")
    | ×
    |
    =nb

block content
  h1=__("Game result")
    | 
    =game.id
  p
    img(src=game.game.icon alt="" title=game.game.display_name)#land-image
    strong=__("Land")
    a(href=eternalfestUrl + "/games/" + game.game.id)
      =game.game.display_name
  p#mode
    strong=__("Mode")
    =__(game.game_mode)
    img(src="/img/modes/" + game.game_mode + ".gif" alt="" title=__(game.game_mode))
  p#options
    if game.game_options[0]
      strong=__("Options")
      each option in game.game_options
        img(src="/img/options/" + option + ".svg" alt=__(option) title=__(option))
  p
    strong=__("Player")
    a(href=eternalfestUrl + "/users/" + game.user.id)
      =game.user.display_name
  if game.result
    if game.result.display_scores.length > 1
      p
        strong=__("Total score")
        =game.result.display_score
      p
        strong=__("Scores")
        =game.result.display_scores.join(" + ")
    else
      p
        strong=__("Score")
        =game.result.display_score
    p
      strong=__("Level reached")
      =game.result.max_level
      | &nbsp;
      if game.result.is_victory
        img(src="/img/alive.svg" alt="alive")
      else
        img(src="/img/dead.svg" alt="dead")
    p
      strong=__("Date")
      =game.started_at.toISOString().slice(0, 10)
    p
      strong=__("Duration")
      =game.result.duration.string
    - let special = {}
    - let score = {}
    each nb, item in game.result.items
      if item >= 1000
        - score[item] = nb
      else
        - special[item] = nb
    if (Object.keys(special).length !== 0 && Object.keys(score).length !== 0)
      hr
      h2=__("Items found:")
      div#all-items
        if (Object.keys(special).length !== 0)
          h3=__("Special items")
          each nb, item in special
            +item(item, nb)
        if (Object.keys(score).length !== 0)
          hr
          h3=__("Score items")
          each nb, item in score
            +item(item, nb)
  else
    hr
    if game.started_at
      p=__("This game is not finished yet.")
    else
      p=__("This game has not been started yet.")
